<div class="search-container">
    <form [formGroup]="searchParamsForm" class="search-form">

      <input formControlName="name" placeholder="Search by name" class="search-input" 
      (keyup)="searchParamsForm.controls.page.setValue(0); isLoading = true;">
      <select formControlName="attribute" class="search-select" (change)="searchParamsForm.controls.page.setValue(0); isLoading = true;">
        <option value="">All attributes</option>
        <option *ngFor="let attribute of attributes" [value]="attribute.name">{{attribute.name}}</option>
      </select>
      <select formControlName="level" class="search-select" (change)="searchParamsForm.controls.page.setValue(0); isLoading = true;">
        <option value="">All levels</option>
        <option *ngFor="let level of levels" [value]="level.name">{{level.name}}</option>
      </select>
      <div class="page-size-container">
        <span class="page-size-label">Digimons per page</span>
        <select formControlName="pageSize" class="search-select">
          <option *ngFor="let item of pageSizeOptions" [value]="item">{{item}}</option>
        </select>
      </div>  
    </form>
  </div>
  

<app-item-digimon-lista [digimons]="digimons">   
</app-item-digimon-lista>


<app-not-found *ngIf="notResults"
[titulo]="'No Digimons found'"
[texto]="'Change filters and try again'"
></app-not-found>


<div class="load-more-button" *ngIf="showViewMore && !isLoading" >
    <button (click)="loadMore()" >View more</button>
</div>

<button class="scroll-top-button" (click)="scrollTop()" *ngIf="showScrollTopButton">
   <span class="material-icons">
    north
    </span>
</button>

